{% extends 'base_login.html.twig' %}


{% block body %}
    <div class="row justify-content-sm-center h-100">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}
        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}
        <div class="col-xxl-4 col-xl-5 col-lg-5 col-md-7 col-sm-9">
            <div class="text-center my-5">
                <h2>Products crawler</h2>
            </div>
            <div class="card shadow-lg">
                <div class="card-body p-5">
                    <h1 class="fs-4 card-title fw-bold mb-4">Login</h1>
                    {{ form_start(form) }}
                    <div class="mb-3">
                        <label class="mb-2 text-muted" for="email">E-Mail Address</label>
                        {{ form_widget(form.email) }}
                    </div>

                    <div class="mb-3">
                        <div class="mb-2 w-100">
                            <label class="text-muted" for="password">Password</label>
                            <a href="forgot.html" class="float-end">
                                Forgot Password?
                            </a>
                        </div>
                        {{ form_widget(form.password) }}
                    </div>

                    <div class="d-flex align-items-center">
                        <div class="form-check">
                            <input type="checkbox" name="remember" id="remember" class="form-check-input">
                            <label for="remember" class="form-check-label">Remember Me</label>
                        </div>
                        <button type="submit" class="btn btn-primary ms-auto">
                            Login
                        </button>
                    </div>
                    <input type="hidden" name="_csrf_token"
                           value="{{ csrf_token('authenticate') }}"
                    >
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
